<?xml version='1.0' encoding='utf-8'?>
<root>
    <world>
        <background backgroundRect="0:0:0:0"/>
        <walls>
            <wall id="" begin="0:-83" end="150:-83"/>
			<wall id="" begin="150:-83" end="150:-302"/>
			<wall id="" begin="150:-302" end="355:-302"/>
			<wall id="" begin="355:-302" end="355:-83"/>
			<wall id="" begin="355:-83" end="505:-83"/>
			<wall id="" begin="505:-83" end="505:-360"/>
			<wall id="" begin="505:-360" end="710:-360"/>
			<wall id="" begin="710:-360" end="710:-83"/>
			<wall id="" begin="710:-83" end="860:-83"/>
			<wall id="" begin="860:-83" end="860:-253"/>
			<wall id="" begin="860:-253" end="1119:-253"/>
			<wall id="" begin="1119:-253" end="1119:-83"/>
			<wall id="" begin="1119:-83" end="1269:-83"/>
			<wall id="" begin="1269:-83" end="1269:-258"/>
			<wall id="" begin="1269:-258" end="1510:-258"/>
			<wall id="" begin="1510:-258" end="1510:-83"/>
			<wall id="" begin="1510:-83" end="1660:-83"/>
			<wall id="" begin="1660:-83" end="1660:-260"/>
			<wall id="" begin="1660:-260" end="1938:-260"/>
			<wall id="" begin="1938:-260" end="1938:-83"/>
			<wall id="" begin="1938:-83" end="2088:-83"/>
			<wall id="" begin="2088:-83" end="2088:-255"/>
			<wall id="" begin="2088:-255" end="2367:-255"/>
			<wall id="" begin="2367:-255" end="2367:-83"/>
			<wall id="" begin="2367:-83" end="2517:-83"/>
			<wall id="" begin="2517:-83" end="2517:100"/>
		</walls>
        <colorFields/>
        <images/>
        <regions>
			<region height="56" filled="true" type="rectangle" text="Старт" x="-3" width="56" y="-3" visible="true" textX="0" id="start" color="#0000ff" textY="0"/>
			<region height="277" width="205" x="505" y="-360" filled="true" type="rectangle" text="" visible="true" textX="6" id="finish" color="#ff0000" textY="5"/> 
		</regions>
    </world>
	
        <robots>
        <robot position="0:0" id="trikKitRobot" direction="0">
            <sensors>
                <sensor port="D1###input######sensorD1" type="trik::robotModel::parts::TrikSonarSensor" direction="0" position="58:25"/>
                <sensor port="D2###input######sensorD2" type="trik::robotModel::parts::TrikSonarSensor" direction="-90" position="42:-6"/>
            </sensors>
            <startPosition x="25" y="25" id="{20f357fb-9df5-4652-90c0-8cc83f3d32c8}" direction="0"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
	
    <constraints>
        <timelimit value="240000"/>
        <constraint checkOnce="true" failMessage="Уробота не должно быть датчиков, кроме датчиков расстояния в портах D1 и D2">
            <conditions glue="and">
            	 <equals>
                    <typeOf objectId="robot1.A1"/>
                    <string value="undefined"/>
                </equals>
                 <equals>
                    <typeOf objectId="robot1.A2"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.F1"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
	
		<constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
			<inside objectId="robot1" regionId="start"/>
		</constraint>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<not><inside objectId="robot1" regionId="finish"/></not>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<fail message="Робот финишировал не в зоне финиша"/>
			</trigger>
		</event>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<inside objectId="robot1" regionId="finish"/>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<success/>
			</trigger>
		</event>
	</constraints>

</root>
